[chromium-freeworld: 2/10] this gets past prep...
by Miro Hrončok
commit c5342c3e97bcdb07c28e4ec585ce0f1c61439d84
Author: Tom Callaway <spot(a)fedoraproject.org>
Date: Wed Mar 7 12:58:11 2018 -0500
this gets past prep...
chromium.spec | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
---
diff --git a/chromium.spec b/chromium.spec
index 40a05ac..5fe1f18 100644
--- a/chromium.spec
+++ b/chromium.spec
@@ -794,7 +794,7 @@ CHROMIUM_HEADLESS_GN_DEFINES=""
CHROMIUM_HEADLESS_GN_DEFINES+=' use_ozone=true ozone_auto_platforms=false ozone_platform="headless" ozone_platform_headless=true'
CHROMIUM_HEADLESS_GN_DEFINES+=' headless_use_embedded_resources=true icu_use_data_file=false v8_use_external_startup_data=false'
CHROMIUM_HEADLESS_GN_DEFINES+=' enable_nacl=false enable_print_preview=false enable_remoting=false use_alsa=false'
-CHROMIUM_HEADLESS_GN_DEFINES+=' use_cups=false use_dbus=false use_gconf=false use_gio=false use_kerberos=false use_libpci=false'
+CHROMIUM_HEADLESS_GN_DEFINES+=' use_cups=false use_dbus=false use_gio=false use_kerberos=false use_libpci=false'
CHROMIUM_HEADLESS_GN_DEFINES+=' use_pulseaudio=false use_udev=false'
export CHROMIUM_HEADLESS_GN_DEFINES
@@ -859,6 +859,7 @@ build/linux/unbundle/remove_bundled_libraries.py \
'third_party/flac' \
'third_party/flatbuffers' \
'third_party/flot' \
+ 'third_party/fontconfig' \
'third_party/freetype' \
'third_party/glslang-angle' \
'third_party/google_input_tools' \
6 years, 7 months
[chromium-freeworld: 1/10] 65.0.3325.146
by Miro Hrončok
commit e36a0c82bf29c68608f883c1b24cc660c3515882
Author: Tom Callaway <spot(a)fedoraproject.org>
Date: Wed Mar 7 11:13:05 2018 -0500
65.0.3325.146
.gitignore | 1 +
chromium-65.0.3325.146-gcc-round-fix.patch | 12 +++++
chromium-65.0.3325.146-gcc5-r3.patch | 74 ++++++++++++++++++++++++++++++
chromium-65.0.3325.146-gcc7.patch | 11 +++++
chromium-65.0.3325.146-memcpy-fix.patch | 12 +++++
chromium-math.h-r0.patch | 29 ++++++++++++
chromium-stdint.patch | 21 +++++++++
chromium.spec | 54 ++++++++--------------
clean_ffmpeg.sh | 2 -
sources | 2 +-
10 files changed, 181 insertions(+), 37 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index c56a2af..11c035f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -39,3 +39,4 @@
/chromium-64.0.3282.140-clean.tar.xz
/chromium-64.0.3282.167-clean.tar.xz
/chromium-64.0.3282.186-clean.tar.xz
+/chromium-65.0.3325.146-clean.tar.xz
diff --git a/chromium-65.0.3325.146-gcc-round-fix.patch b/chromium-65.0.3325.146-gcc-round-fix.patch
new file mode 100644
index 0000000..a29779d
--- /dev/null
+++ b/chromium-65.0.3325.146-gcc-round-fix.patch
@@ -0,0 +1,12 @@
+diff -up chromium-65.0.3325.146/third_party/webrtc/p2p/base/port.cc.gcc-round-fix chromium-65.0.3325.146/third_party/webrtc/p2p/base/port.cc
+--- chromium-65.0.3325.146/third_party/webrtc/p2p/base/port.cc.gcc-round-fix 2018-03-07 10:57:11.284376048 -0500
++++ chromium-65.0.3325.146/third_party/webrtc/p2p/base/port.cc 2018-03-07 10:58:16.590742636 -0500
+@@ -10,7 +10,7 @@
+
+ #include "p2p/base/port.h"
+
+-#include <math.h>
++#include <cmath>
+
+ #include <algorithm>
+ #include <utility>
diff --git a/chromium-65.0.3325.146-gcc5-r3.patch b/chromium-65.0.3325.146-gcc5-r3.patch
new file mode 100644
index 0000000..ab74a35
--- /dev/null
+++ b/chromium-65.0.3325.146-gcc5-r3.patch
@@ -0,0 +1,74 @@
+diff -up chromium-65.0.3325.146/gpu/ipc/common/mailbox_struct_traits.h.gcc5-r3 chromium-65.0.3325.146/gpu/ipc/common/mailbox_struct_traits.h
+--- chromium-65.0.3325.146/gpu/ipc/common/mailbox_struct_traits.h.gcc5-r3 2018-03-06 18:04:32.000000000 -0500
++++ chromium-65.0.3325.146/gpu/ipc/common/mailbox_struct_traits.h 2018-03-07 10:42:07.198179638 -0500
+@@ -15,7 +15,7 @@ namespace mojo {
+ template <>
+ struct StructTraits<gpu::mojom::MailboxDataView, gpu::Mailbox> {
+ static base::span<const int8_t> name(const gpu::Mailbox& mailbox) {
+- return mailbox.name;
++ return base::make_span(mailbox.name);
+ }
+ static bool Read(gpu::mojom::MailboxDataView data, gpu::Mailbox* out);
+ };
+diff -up chromium-65.0.3325.146/services/viz/public/cpp/compositing/filter_operation_struct_traits.h.gcc5-r3 chromium-65.0.3325.146/services/viz/public/cpp/compositing/filter_operation_struct_traits.h
+--- chromium-65.0.3325.146/services/viz/public/cpp/compositing/filter_operation_struct_traits.h.gcc5-r3 2018-03-06 18:04:37.000000000 -0500
++++ chromium-65.0.3325.146/services/viz/public/cpp/compositing/filter_operation_struct_traits.h 2018-03-07 10:42:07.198179638 -0500
+@@ -138,7 +138,7 @@ struct StructTraits<viz::mojom::FilterOp
+ static base::span<const float> matrix(const cc::FilterOperation& operation) {
+ if (operation.type() != cc::FilterOperation::COLOR_MATRIX)
+ return base::span<const float>();
+- return operation.matrix();
++ return base::make_span(operation.matrix());
+ }
+
+ static base::span<const gfx::Rect> shape(
+diff -up chromium-65.0.3325.146/services/viz/public/cpp/compositing/quads_struct_traits.h.gcc5-r3 chromium-65.0.3325.146/services/viz/public/cpp/compositing/quads_struct_traits.h
+--- chromium-65.0.3325.146/services/viz/public/cpp/compositing/quads_struct_traits.h.gcc5-r3 2018-03-06 18:04:37.000000000 -0500
++++ chromium-65.0.3325.146/services/viz/public/cpp/compositing/quads_struct_traits.h 2018-03-07 10:42:07.198179638 -0500
+@@ -308,7 +308,7 @@ struct StructTraits<viz::mojom::TextureQ
+ static base::span<const float> vertex_opacity(const viz::DrawQuad& input) {
+ const viz::TextureDrawQuad* quad =
+ viz::TextureDrawQuad::MaterialCast(&input);
+- return quad->vertex_opacity;
++ return base::make_span(quad->vertex_opacity);
+ }
+
+ static bool y_flipped(const viz::DrawQuad& input) {
+diff -up chromium-65.0.3325.146/third_party/WebKit/Source/platform/wtf/typed_arrays/ArrayBufferContents.h.gcc5-r3 chromium-65.0.3325.146/third_party/WebKit/Source/platform/wtf/typed_arrays/ArrayBufferContents.h
+--- chromium-65.0.3325.146/third_party/WebKit/Source/platform/wtf/typed_arrays/ArrayBufferContents.h.gcc5-r3 2018-03-06 18:05:06.000000000 -0500
++++ chromium-65.0.3325.146/third_party/WebKit/Source/platform/wtf/typed_arrays/ArrayBufferContents.h 2018-03-07 10:48:53.996093882 -0500
+@@ -62,7 +62,7 @@ class WTF_EXPORT ArrayBufferContents {
+ allocation_length_(length),
+ data_(data),
+ data_length_(length),
+- kind_(AllocationKind::kNormal),
++ kind_(WTF::ArrayBufferContents::AllocationKind::kNormal),
+ deleter_(deleter) {}
+ DataHandle(void* allocation_base,
+ size_t allocation_length,
+@@ -93,11 +93,11 @@ class WTF_EXPORT ArrayBufferContents {
+ reinterpret_cast<uintptr_t>(allocation_base_) +
+ allocation_length_);
+ switch (kind_) {
+- case AllocationKind::kNormal:
++ case WTF::ArrayBufferContents::AllocationKind::kNormal:
+ DCHECK(deleter_);
+ deleter_(data_);
+ return;
+- case AllocationKind::kReservation:
++ case WTF::ArrayBufferContents::AllocationKind::kReservation:
+ ReleaseReservedMemory(allocation_base_, allocation_length_);
+ return;
+ }
+diff -up chromium-65.0.3325.146/third_party/webrtc/modules/audio_processing/aec3/aec_state.cc.gcc5-r3 chromium-65.0.3325.146/third_party/webrtc/modules/audio_processing/aec3/aec_state.cc
+--- chromium-65.0.3325.146/third_party/webrtc/modules/audio_processing/aec3/aec_state.cc.gcc5-r3 2018-03-06 18:06:09.000000000 -0500
++++ chromium-65.0.3325.146/third_party/webrtc/modules/audio_processing/aec3/aec_state.cc 2018-03-07 10:42:07.199179616 -0500
+@@ -10,7 +10,7 @@
+
+ #include "modules/audio_processing/aec3/aec_state.h"
+
+-#include <math.h>
++#include <cmath>
+
+ #include <numeric>
+ #include <vector>
diff --git a/chromium-65.0.3325.146-gcc7.patch b/chromium-65.0.3325.146-gcc7.patch
new file mode 100644
index 0000000..4f2b46c
--- /dev/null
+++ b/chromium-65.0.3325.146-gcc7.patch
@@ -0,0 +1,11 @@
+diff -up chromium-65.0.3325.146/third_party/WebKit/Source/platform/graphics/gpu/SharedGpuContext.h.gcc7 chromium-65.0.3325.146/third_party/WebKit/Source/platform/graphics/gpu/SharedGpuContext.h
+--- chromium-65.0.3325.146/third_party/WebKit/Source/platform/graphics/gpu/SharedGpuContext.h.gcc7 2018-03-07 10:34:48.783900894 -0500
++++ chromium-65.0.3325.146/third_party/WebKit/Source/platform/graphics/gpu/SharedGpuContext.h 2018-03-07 10:35:44.885638503 -0500
+@@ -5,6 +5,7 @@
+ #ifndef SharedGpuContext_h
+ #define SharedGpuContext_h
+
++#include <functional>
+ #include <memory>
+ #include "base/callback.h"
+ #include "base/memory/weak_ptr.h"
diff --git a/chromium-65.0.3325.146-memcpy-fix.patch b/chromium-65.0.3325.146-memcpy-fix.patch
new file mode 100644
index 0000000..b2b2cd4
--- /dev/null
+++ b/chromium-65.0.3325.146-memcpy-fix.patch
@@ -0,0 +1,12 @@
+diff -up chromium-65.0.3325.146/cc/paint/raw_memory_transfer_cache_entry.cc.memcpyfix chromium-65.0.3325.146/cc/paint/raw_memory_transfer_cache_entry.cc
+--- chromium-65.0.3325.146/cc/paint/raw_memory_transfer_cache_entry.cc.memcpyfix 2018-03-07 11:04:14.690379817 -0500
++++ chromium-65.0.3325.146/cc/paint/raw_memory_transfer_cache_entry.cc 2018-03-07 11:06:04.339878069 -0500
+@@ -3,7 +3,7 @@
+ // found in the LICENSE file.
+
+ #include "cc/paint/raw_memory_transfer_cache_entry.h"
+-
++#include <memory.h>
+ #include <string.h>
+
+ namespace cc {
diff --git a/chromium-math.h-r0.patch b/chromium-math.h-r0.patch
new file mode 100644
index 0000000..6c7c747
--- /dev/null
+++ b/chromium-math.h-r0.patch
@@ -0,0 +1,29 @@
+From 9f63f94a11abc34d40ede8b8712fa15b5844a8c0 Mon Sep 17 00:00:00 2001
+From: Tom Anderson <thomasanderson(a)chromium.org>
+Date: Sat, 27 Jan 2018 20:03:37 +0000
+Subject: [PATCH] Fix build with glibc 2.27
+
+BUG=806340
+TBR=hamelphi(a)chromium.org
+
+Change-Id: Ib4e5091212d874d9ad88f3e9a1fdfee3ed7e0d5e
+Reviewed-on: https://chromium-review.googlesource.com/890059
+Reviewed-by: Thomas Anderson <thomasanderson(a)chromium.org>
+Reviewed-by: Philippe Hamel <hamelphi(a)chromium.org>
+Commit-Queue: Thomas Anderson <thomasanderson(a)chromium.org>
+Cr-Commit-Position: refs/heads/master@{#532249}
+---
+
+diff --git a/components/assist_ranker/ranker_example_util.cc b/components/assist_ranker/ranker_example_util.cc
+index 54d4dbd..ceedd8f 100644
+--- a/components/assist_ranker/ranker_example_util.cc
++++ b/components/assist_ranker/ranker_example_util.cc
+@@ -2,6 +2,8 @@
+ // Use of this source code is governed by a BSD-style license that can be
+ // found in the LICENSE file.
+
++#include <math.h>
++
+ #include "components/assist_ranker/ranker_example_util.h"
+ #include "base/bit_cast.h"
+ #include "base/format_macros.h"
diff --git a/chromium-stdint.patch b/chromium-stdint.patch
new file mode 100644
index 0000000..8774439
--- /dev/null
+++ b/chromium-stdint.patch
@@ -0,0 +1,21 @@
+From 0235c2b657d936f3cdb09053776e5929fc84704b Mon Sep 17 00:00:00 2001
+From: Tomas Popela <tomas.popela(a)gmail.com>
+Date: Wed, 31 Jan 2018 18:57:07 +0000
+Subject: [PATCH] Add missing stdint include
+
+diff --git a/chrome/browser/vr/sample_queue.cc b/chrome/browser/vr/sample_queue.cc
+index c2ca777ce90c..53cb3aab1576 100644
+--- a/chrome/browser/vr/sample_queue.cc
++++ b/chrome/browser/vr/sample_queue.cc
+@@ -2,6 +2,8 @@
+ // Use of this source code is governed by a BSD-style license that can be
+ // found in the LICENSE file.
+
++#include <stdint.h>
++
+ #include "chrome/browser/vr/sample_queue.h"
+
+ namespace vr {
+--
+2.16.2
+
diff --git a/chromium.spec b/chromium.spec
index 01bf873..40a05ac 100644
--- a/chromium.spec
+++ b/chromium.spec
@@ -92,8 +92,8 @@ BuildRequires: libicu-devel >= 5.4
%global bundlelibpng 0
%endif
-# Needs at least harfbuzz 1.5.0 now.
-# 2017-06-12
+# Needs at least harfbuzz 1.7.3 now.
+# 2018-03-07
%if 0%{?fedora} < 28
%global bundleharfbuzz 1
%else
@@ -109,14 +109,14 @@ BuildRequires: libicu-devel >= 5.4
%global default_client_secret miEreAep8nuvTdvLums6qyLK
%global chromoting_client_id 449907151817-8vnlfih032ni8c4jjps9int9t86k546t.apps.googleusercontent.com
-%global majorversion 64
+%global majorversion 65
%if %{freeworld}
Name: chromium%{chromium_channel}%{?freeworld:-freeworld}
%else
Name: chromium%{chromium_channel}
%endif
-Version: %{majorversion}.0.3282.186
+Version: %{majorversion}.0.3325.146
Release: 1%{?dist}
Summary: A WebKit (Blink) powered web browser
Url: http://www.chromium.org/Home
@@ -168,9 +168,7 @@ Patch27: chromium-63.0.3289.84-setopaque.patch
Patch31: chromium-56.0.2924.87-fpermissive.patch
# Fix issue with compilation on gcc7
# Thanks to Ben Noordhuis
-Patch33: chromium-64.0.3282.119-gcc7.patch
-# Enable mp3 support
-Patch34: chromium-64.0.3282.119-enable-mp3.patch
+Patch33: chromium-65.0.3325.146-gcc7.patch
# Revert https://chromium.googlesource.com/chromium/src/+/b794998819088f76b4cf44c8...
# https://bugs.chromium.org/p/chromium/issues/detail?id=712737
# https://bugzilla.redhat.com/show_bug.cgi?id=1446851
@@ -195,28 +193,19 @@ Patch50: chromium-60.0.3112.113-libavutil-timer-include-path-fix.patch
Patch53: chromium-61.0.3163.79-gcc-no-opt-safe-math.patch
# Only needed when glibc 2.26.90 or later is used
Patch57: chromium-63.0.3289.84-aarch64-glibc-2.26.90.patch
-# More gcc fixes for epel
-Patch58: chromium-62.0.3202.62-dde535-gcc-fix.patch
-Patch59: chromium-62.0.3202.62-gcc-nc.patch
-# Epel compiler really does not like assigning nullptr to a StructPtr
-Patch60: chromium-62.0.3202.62-epel7-no-nullptr-assignment-on-StructPtr.patch
-# Another gcc 4.8 goods..
-Patch61: chromium-62.0.3202.62-rvalue-fix.patch
# From gentoo
-Patch62: chromium-64.0.3282.119-gcc5-r3.patch
+Patch62: chromium-65.0.3325.146-gcc5-r3.patch
# Do not try to use libc++ in the remoting stack
Patch63: chromium-63.0.3289.84-nolibc++.patch
-# Fix freetype and harfbuzz-ng unbundle
-Patch64: chromium-63.0.3289.84-fix-ft-hb-unbundle.patch
# To use round with gcc, you need to #include <cmath>
-Patch65: chromium-64.0.3282.119-gcc-round-fix.patch
-# Fix constexpr gcc issues
-# https://chromium.googlesource.com/angle/angle/+/030017a4855c7b6e7f2ff8d95...
-Patch66: chromium-64.0.3282.119-gcc-constexpr-fix.patch
+Patch65: chromium-65.0.3325.146-gcc-round-fix.patch
# Include proper headers to invoke memcpy()
-Patch67: chromium-64.0.3282.119-memcpy-fix.patch
+Patch67: chromium-65.0.3325.146-memcpy-fix.patch
# Work around gcc8 bug in gn
Patch68: chromium-64.0.3282.167-gcc8-fabi11.patch
+# From Gentoo
+Patch69: chromium-math.h-r0.patch
+Patch70: chromium-stdint.patch
# Use chromium-latest.py to generate clean tarball from released build tarballs, found here:
# http://build.chromium.org/buildbot/official/
@@ -631,11 +620,6 @@ udev.
%patch27 -p1 -b .setopaque
%patch31 -p1 -b .permissive
%patch33 -p1 -b .gcc7
-%if %{freeworld}
-# Do not apply mp3 change
-%else
-%patch34 -p1 -b .mp3
-%endif
%patch36 -p1 -b .revert
%patch37 -p1 -b .ffmpeg-stdatomic
%patch39 -p1 -b .system-clang
@@ -645,10 +629,6 @@ udev.
%if 0%{?rhel} == 7
%patch46 -p1 -b .kmaxskip
%patch47 -p1 -b .c99
-%patch58 -p1 -b .dde5e35
-%patch59 -p1 -b .gcc-nc
-%patch60 -p1 -b .nonullptr
-%patch61 -p1 -b .another-rvalue-fix
%endif
%patch50 -p1 -b .pathfix
%patch53 -p1 -b .nogccoptmath
@@ -657,11 +637,11 @@ udev.
# %%endif
%patch62 -p1 -b .gcc5-r3
%patch63 -p1 -b .nolibc++
-%patch64 -p1 -b .fixunbundle
%patch65 -p1 -b .gcc-round-fix
-%patch66 -p1 -b .gcc-const-expr
%patch67 -p1 -b .memcpyfix
%patch68 -p1 -b .fabi11
+%patch69 -p1 -b .gentoo-math
+%patch70 -p1 -b .gentoo-stdint
%if 0%{?asan}
export CC="clang"
@@ -778,7 +758,7 @@ CHROMIUM_CORE_GN_DEFINES+=' is_debug=false'
CHROMIUM_CORE_GN_DEFINES+=' system_libdir="lib64"'
%endif
CHROMIUM_CORE_GN_DEFINES+=' google_api_key="%{api_key}" google_default_client_id="%{default_client_id}" google_default_client_secret="%{default_client_secret}"'
-CHROMIUM_CORE_GN_DEFINES+=' is_clang=false use_sysroot=false use_gold=false fieldtrial_testing_like_official_build=true'
+CHROMIUM_CORE_GN_DEFINES+=' is_clang=false use_sysroot=false use_gold=false fieldtrial_testing_like_official_build=true use_lld=false'
%if %{freeworld}
CHROMIUM_CORE_GN_DEFINES+=' ffmpeg_branding="ChromeOS" proprietary_codecs=true'
%else
@@ -896,6 +876,7 @@ build/linux/unbundle/remove_bundled_libraries.py \
'third_party/leveldatabase' \
'third_party/libXNVCtrl' \
'third_party/libaddressinput' \
+ 'third_party/libaom' \
'third_party/libdrm' \
'third_party/libjingle' \
'third_party/libjpeg_turbo' \
@@ -952,6 +933,7 @@ build/linux/unbundle/remove_bundled_libraries.py \
%if 0%{?bundlere2}
'third_party/re2' \
%endif
+ 'third_party/s2cellid' \
'third_party/sfntly' \
'third_party/sinonjs' \
'third_party/skia' \
@@ -982,6 +964,7 @@ build/linux/unbundle/remove_bundled_libraries.py \
'third_party/zlib' \
'third_party/zlib/google' \
'url/third_party/mozilla' \
+ 'v8/src/third_party/utf8-decoder' \
'v8/src/third_party/valgrind' \
'v8/third_party/inspector_protocol' \
--do-remove
@@ -1521,6 +1504,9 @@ getent group chrome-remote-desktop >/dev/null || groupadd -r chrome-remote-deskt
%changelog
+* Wed Mar 7 2018 Tom Callaway <spot(a)fedoraproject.org> 65.0.3325.146-1
+- update to 65.0.3325.146
+
* Mon Mar 5 2018 Tom Callaway <spot(a)fedoraproject.org> 64.0.3282.186-1
- update to 64.0.3282.186
diff --git a/clean_ffmpeg.sh b/clean_ffmpeg.sh
index 48495a5..f5c85a5 100755
--- a/clean_ffmpeg.sh
+++ b/clean_ffmpeg.sh
@@ -158,8 +158,6 @@ header_files=" libavcodec/x86/inline_asm.h \
libavutil/x86/intreadwrite.h \
libavutil/x86/intmath.h
libavutil/x86/timer.h \
- libavutil/atomic.h \
- libavutil/atomic_gcc.h \
libavutil/attributes.h \
libavutil/audio_fifo.h \
libavutil/avassert.h \
diff --git a/sources b/sources
index 0f81720..8b00246 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
SHA512 (depot_tools.git-master.tar.gz) = d3d6a1873b2b0296a8cd99e0d8d2e629a17b1808934b4972556168f8b4ccea60577ebaeab4445baf15afb1b04080808db59a832a5b61d247bd48da14fa6acf03
-SHA512 (chromium-64.0.3282.186-clean.tar.xz) = 58cfc9c5727e43cc0063c1504e2d4b90ba23ee9cc6a134ed4198da543f333865625fe835f75a1deb2b44867f1a8c0a0a545570dc1de06f486f96e0884e9b353c
+SHA512 (chromium-65.0.3325.146-clean.tar.xz) = 18a45e41eb706fa87a707c89ee419b6a408132d763318c06cffca9e453f09a0e52a76089002ec1c25224d77a54eecc17013a6087dd4acdbd15df073fd7eff937
6 years, 7 months
[chromium-freeworld] (10 commits) ...Merge Fedora, chromium-65.0.3325.162-1
by Miro Hrončok
Summary of changes:
e36a0c8... 65.0.3325.146
c5342c3... this gets past prep...
4e6c6ef... 65.0.3325.162
8ca12f1... clean sources
fe5b552... version conditionalize gnome-keyring-devel
3534f5e... use bundled libjpeg on epel7
8cfa28d... fix bool issue triggered by newer gcc
61203bf... use normal bool cast
9e38b7c... fix skia build issue on aarch64
e9b3537... Merge Fedora, chromium-65.0.3325.162-1
6 years, 7 months
[vcmi/f28] Initial package (#4815)
by Miro Hrončok
Summary of changes:
715c20b... Initial package (#4815) (*)
(*) This commit already existed in another branch; no separate mail sent
6 years, 7 months
[kdenlive/el7] (24 commits) ...Add a fix to build in el7
by Sérgio M. Basto
Summary of changes:
99312f1... Update to 16.12.0 (*)
b4d5e69... Merge branch 'f25' (*)
c49069c... Update kdenlive to 16.12.2 following Fedora KDE application (*)
da4344d... sources uploaded (*)
e26942b... Add build fix for gcc-7 changes (*)
a5ac0ff... second thoughts on the build fix (*)
a8d208a... - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass (*)
9ce8b81... Update to 16.12.3 (*)
acddd12... Update to 17.04.2 (*)
4171f37... Add a new gcc7.patch Add find_lang macro (*)
c6874fe... git add gcc7.patch (*)
40f46f0... yet another fix for gcc7 (*)
37de1b5... - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass (*)
535084c... Update to 17.08.1 (*)
b9aef0f... remove gcc7.patch (*)
95222f9... Fix file not found (*)
2bcb13e... Update kdenlive to 17.08.2 (*)
9bdcdd2... Update kdenlive to 17.12.0 (*)
8065b6a... Update to new location of AppData (*)
9d1f9b9... Use _kf5_metainfodir to fix appdata directory issue (*)
943e3ac... Update kdenlive to 17.12.1 (*)
03b50dc... Update kdenlive to 17.12.2 (*)
f454379... Update kdenlive to 17.12.3 (*)
729e5f1... Add a fix to build in el7 (*)
(*) This commit already existed in another branch; no separate mail sent
6 years, 7 months
[kdenlive] Add a fix to build in el7
by Sérgio M. Basto
commit 729e5f10d39cc0cdfee695be7313941f005e0127
Author: Sérgio M. Basto <sergio(a)serjux.com>
Date: Mon Mar 19 16:45:02 2018 +0000
Add a fix to build in el7
kdenlive-find-lang.sh | 252 ++++++++++++++++++++++++++++++++++++++++++++++++++
kdenlive.spec | 15 ++-
2 files changed, 266 insertions(+), 1 deletion(-)
---
diff --git a/kdenlive-find-lang.sh b/kdenlive-find-lang.sh
new file mode 100755
index 0000000..2fe8ab5
--- /dev/null
+++ b/kdenlive-find-lang.sh
@@ -0,0 +1,252 @@
+#!/bin/sh
+#findlang - automagically generate list of language specific files
+#for inclusion in an rpm spec file.
+#This does assume that the *.mo files are under .../locale/...
+#Run with no arguments gets a usage message.
+
+#findlang is copyright (c) 1998 by W. L. Estes <wlestes(a)uncg.edu>
+
+#Redistribution and use of this software are hereby permitted for any
+#purpose as long as this notice and the above copyright notice remain
+#in tact and are included with any redistribution of this file or any
+#work based on this file.
+
+# 2011-11-16 Per Øyvind Karlsen <peroyvind(a)mandriva.org>
+# * add support for HTML files (from Mandriva)
+# 2004-06-20 Arkadiusz Miśkiewicz <arekm(a)pld-linux.org>
+# * merge PLD changes, kde, all-name (mkochano,pascalek@PLD)
+# 1999-10-19 Artur Frysiak <wiget(a)pld-linux.org>
+# * added support for GNOME help files
+# * start support for KDE help files
+
+usage () {
+cat <<EOF
+
+Usage: $0 TOP_DIR PACKAGE_NAME [prefix]
+
+where TOP_DIR is
+the top of the tree containing the files to be processed--should be
+\$RPM_BUILD_ROOT usually. TOP_DIR gets sed'd out of the output list.
+PACKAGE_NAME is the %{name} of the package. This should also be
+the basename of the .mo files. the output is written to
+PACKAGE_NAME.lang unless \$3 is given in which case output is written
+to \$3.
+Additional options:
+ --with-gnome find GNOME help files
+ --with-mate find MATE help files
+ --with-kde find KDE help files
+ --with-qt find Qt translation files
+ --with-html find HTML files
+ --with-man find localized man pages
+ --all-name match all package/domain names
+ --without-mo do not find locale files
+EOF
+exit 1
+}
+
+if [ -z "$1" ] ; then usage
+elif [ $1 = / ] ; then echo $0: expects non-/ argument for '$1' 1>&2
+elif [ ! -d $1 ] ; then
+ echo $0: $1: no such directory
+ exit 1
+else TOP_DIR="`echo $1|sed -e 's:/$::'`"
+fi
+shift
+
+if [ -z "$1" ] ; then usage
+else NAME=$1
+fi
+shift
+
+GNOME=#
+MATE=#
+KDE=#
+QT=#
+MAN=#
+HTML=#
+MO=
+MO_NAME=$NAME.lang
+ALL_NAME=#
+NO_ALL_NAME=
+
+while test $# -gt 0 ; do
+ case "${1}" in
+ --with-gnome )
+ GNOME=
+ shift
+ ;;
+ --with-mate )
+ MATE=
+ shift
+ ;;
+ --with-kde )
+ KDE=
+ shift
+ ;;
+ --with-qt )
+ QT=
+ shift
+ ;;
+ --with-man )
+ MAN=
+ shift
+ ;;
+ --with-html )
+ HTML=
+ shift
+ ;;
+ --without-mo )
+ MO=#
+ shift
+ ;;
+ --all-name )
+ ALL_NAME=
+ NO_ALL_NAME=#
+ shift
+ ;;
+ * )
+ MO_NAME=${1}
+ shift
+ ;;
+ esac
+done
+
+find "$TOP_DIR" -type f -o -type l|sed '
+s:'"$TOP_DIR"'::
+'"$ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
+'"$NO_ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*/'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' > $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/share/help/\)\([^/_]\+\)\([^/]*\)\(/'"$NAME"'\)$:%lang(\2) %doc \1\2\3\4/:
+'"$ALL_NAME$GNOME"'s:\(.*/share/help/\)\([^/_]\+\)\([^/]*\)\(/[a-zA-Z0-9.\_\-]\+\)$:%lang(\2) %doc \1\2\3\4/:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'$\):%dir \1:
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) \1\2:
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) \1\2:
+s:%lang(.*) .*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+/.*::
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/omf/'"$NAME"'$\):%dir \1:
+'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+s:^\([^%].*\)::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$GNOME"'s:\(.*/omf/'"$NAME"'/'"$NAME"'-\([^/.]\+\)\.omf\):%lang(\2) \1:
+'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+-\([^/.]\+\)\.omf\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find $TOP_DIR -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'$\):%dir \1:
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$NO_ALL_NAME$MATE"'s:\(.*/mate/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) \1\2:
+'"$ALL_NAME$MATE"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+'"$ALL_NAME$MATE"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]/.\+\)::
+'"$ALL_NAME$GNOME"'s:\(.*/mate/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) \1\2:
+s:%lang(.*) .*/mate/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+/.*::
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/omf/'"$NAME"'$\):%dir \1:
+'"$ALL_NAME$MATE"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
+s:^\([^%].*\)::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MATE"'s:\(.*/omf/'"$NAME"'/'"$NAME"'-\([^/.]\+\)\.omf\):%lang(\2) \1:
+'"$ALL_NAME$MATE"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+-\([^/.]\+\)\.omf\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+KDE3_HTML=`kde-config --expandvars --install html 2>/dev/null`
+if [ x"$KDE3_HTML" != x -a -d "$TOP_DIR$KDE3_HTML" ]; then
+find "$TOP_DIR$KDE3_HTML" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+fi
+
+KDE4_HTML=`kde4-config --expandvars --install html 2>/dev/null`
+if [ x"$KDE4_HTML" != x -a -d "$TOP_DIR$KDE4_HTML" ]; then
+find "$TOP_DIR$KDE4_HTML" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+fi
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'/\)::
+'"$NO_ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/'"$NAME"'\)$:%lang(\2) \1\2\3:
+'"$ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+/\)::
+'"$ALL_NAME$HTML"'s:\(.*/doc/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f -o -type l|sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$QT"'s:\(.*/'"$NAME"'_\([a-zA-Z]\{2\}\([_@].*\)\?\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:\(.*/[^/_]\+_\([a-zA-Z]\{2\}[_@].*\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:\(.*/[^/_]\+_\([a-zA-Z]\{2\}\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:^\([^%].*/[^/]\+_\([a-zA-Z]\{2\}[_@].*\)\.qm$\):%lang(\2) \1:
+'"$ALL_NAME$QT"'s:^\([^%].*/[^/]\+_\([a-zA-Z]\{2\}\)\.qm$\):%lang(\2) \1:
+s:^[^%].*::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type d|sed '
+s:'"$TOP_DIR"'::
+'"$ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+/\)::
+'"$ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+$\):%lang(\2) \1/*:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+find "$TOP_DIR" -type f -o -type l|sed -r 's/\.(bz2|gz|xz|lzma|Z)$//g' | sed '
+s:'"$TOP_DIR"'::
+'"$NO_ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+/'"$NAME"'\.[a-z0-9].*\):%lang(\2) \1*:
+s:^\([^%].*\)::
+s:%lang(C) ::
+/^$/d' >> $MO_NAME
+
+if ! grep -q / $MO_NAME; then
+ echo "No translations found for ${NAME} in ${TOP_DIR}"
+ exit 1
+fi
+exit 0
diff --git a/kdenlive.spec b/kdenlive.spec
index 5859966..7ec22fe 100644
--- a/kdenlive.spec
+++ b/kdenlive.spec
@@ -2,7 +2,7 @@
Name: kdenlive
Summary: Non-linear video editor
Version: 17.12.3
-Release: 1%{?dist}
+Release: 2%{?dist}
License: GPLv2+
URL: http://www.kdenlive.org
@@ -13,6 +13,16 @@ URL: http://www.kdenlive.org
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/kdenlive-%{...
+Source100: kdenlive-find-lang.sh
+
+# Add support for finding html files with find-lang.sh --with-html on epel
+# https://github.com/rpm-software-management/rpm/commit/0c42871ff407a3eeb1e...
+%if 0%{?rhel}
+# copied from openshot
+# Redirect find_lang to our patched version
+%global find_lang %{_sourcedir}/kdenlive-find-lang.sh %{buildroot}
+%endif
+
BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
@@ -139,6 +149,9 @@ fi
%changelog
+* Mon Mar 19 2018 Sérgio Basto <sergio(a)serjux.com> - 17.12.3-2
+- Add a fix to build in el7
+
* Sun Mar 11 2018 Sérgio Basto <sergio(a)serjux.com> - 17.12.3-1
- Update kdenlive to 17.12.3
6 years, 7 months
[xorg-x11-drv-nvidia/f26] (9 commits) ...Update changelog
by Nicolas Chauvet
Summary of changes:
4095318... Fixup urls (*)
5e36ca5... Fixup removed f24 support (*)
679fb78... Disable wayland if gdm is available (*)
8f9e11d... Disable uneeded ldconfig call from main (*)
8163968... Use ldconfig_scriptlets macro (*)
fc66ddc... Use PrimaryGPU feature since Xorg >= 1.19 (*)
94ec42e... Disable since we rely on OutputClass here (*)
9e60f63... Fixup gdm support (*)
c492144... Update changelog (*)
(*) This commit already existed in another branch; no separate mail sent
6 years, 7 months
[xorg-x11-drv-nvidia/f27] (9 commits) ...Update changelog
by Nicolas Chauvet
Summary of changes:
4095318... Fixup urls (*)
5e36ca5... Fixup removed f24 support (*)
679fb78... Disable wayland if gdm is available (*)
8f9e11d... Disable uneeded ldconfig call from main (*)
8163968... Use ldconfig_scriptlets macro (*)
fc66ddc... Use PrimaryGPU feature since Xorg >= 1.19 (*)
94ec42e... Disable since we rely on OutputClass here (*)
9e60f63... Fixup gdm support (*)
c492144... Update changelog (*)
(*) This commit already existed in another branch; no separate mail sent
6 years, 7 months
[xorg-x11-drv-nvidia/f28] (9 commits) ...Update changelog
by Nicolas Chauvet
Summary of changes:
4095318... Fixup urls (*)
5e36ca5... Fixup removed f24 support (*)
679fb78... Disable wayland if gdm is available (*)
8f9e11d... Disable uneeded ldconfig call from main (*)
8163968... Use ldconfig_scriptlets macro (*)
fc66ddc... Use PrimaryGPU feature since Xorg >= 1.19 (*)
94ec42e... Disable since we rely on OutputClass here (*)
9e60f63... Fixup gdm support (*)
c492144... Update changelog (*)
(*) This commit already existed in another branch; no separate mail sent
6 years, 7 months